Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.portal.common.util
Enum Version.Qualifier.Suffix

    java.lang.Object
      java.lang.Enum<Version.Qualifier.Suffix>
          org.jboss.portal.common.util.Version.Qualifier.Suffix

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Version.Qualifier.Suffix>

Enclosing class:
  Version.Qualifier

    public static enum Version.Qualifier.Suffix

extends java.lang.Enum<Version.Qualifier.Suffix>

Enum Constant Summary
`EMPTY`
`SUFFIX_1`
`SUFFIX_2`
`SUFFIX_3`
`SUFFIX_4`
`SUFFIX_5`
`SUFFIX_6`

Method Summary
`java.lang.String` | `toString()`
`static Version.Qualifier.Suffix` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Version.Qualifier.Suffix[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EMPTY

    public static final Version.Qualifier.Suffix EMPTY

### SUFFIX_1

    public static final Version.Qualifier.Suffix SUFFIX_1

### SUFFIX_2

    public static final Version.Qualifier.Suffix SUFFIX_2

### SUFFIX_3

    public static final Version.Qualifier.Suffix SUFFIX_3

### SUFFIX_4

    public static final Version.Qualifier.Suffix SUFFIX_4

### SUFFIX_5

    public static final Version.Qualifier.Suffix SUFFIX_5

### SUFFIX_6

    public static final Version.Qualifier.Suffix SUFFIX_6

Method Detail

### values

    public static final Version.Qualifier.Suffix[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Version.Qualifier.Suffix c : Version.Qualifier.Suffix.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Version.Qualifier.Suffix valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<Version.Qualifier.Suffix>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008. All Rights Reserved.